OpenTTD GameScript API: GSEventStoryPageVehicleSelect Class Reference

OpenTTD GameScript API 12.0-RC1

Public Member Functions | Static Public Member Functions
GSEventStoryPageVehicleSelect Class Reference

Event StoryPageTileSelect, indicating a player clicked a tile selection button on a storybook page, and selected a tile. More...

Inheritance diagram for GSEventStoryPageVehicleSelect:

## Public Member Functions
| GSEventStoryPageVehicleSelect (CompanyID company_id, StoryPageID page_id, StoryPageElementID element_id, VehicleID vehicle_id)
GSCompany::CompanyID | GetCompanyID ()
| Get the CompanyID of the player that selected a tile.
StoryPageID | GetStoryPageID ()
| Get the StoryPageID of the storybook page the used selection button is located on.
StoryPageElementID | GetElementID ()
| Get the StoryPageElementID of the selection button used to select the vehicle.
VehicleID | GetVehicleID ()
| Get the VehicleID of the vehicle the player selected.
Public Member Functions inherited from GSEvent
| GSEvent (GSEvent::GSEventType type)
| Constructor of GSEvent, to get the type of event.
GSEventType | GetEventType ()
| Get the event-type. More...

## Static Public Member Functions
static GSEventStoryPageVehicleSelect * | Convert (GSEvent *instance)
| Convert an GSEvent to the real instance. More...

## Additional Inherited Members
Public Types inherited from GSEvent
enum | GSEventType { ET_INVALID, ET_TEST, ET_SUBSIDY_OFFER, ET_SUBSIDY_OFFER_EXPIRED, ET_SUBSIDY_AWARDED, ET_SUBSIDY_EXPIRED, ET_ENGINE_PREVIEW, ET_COMPANY_NEW, ET_COMPANY_IN_TROUBLE, ET_COMPANY_ASK_MERGER, ET_COMPANY_MERGER, ET_COMPANY_BANKRUPT, ET_VEHICLE_CRASHED, ET_VEHICLE_LOST, ET_VEHICLE_WAITING_IN_DEPOT, ET_VEHICLE_UNPROFITABLE, ET_INDUSTRY_OPEN, ET_INDUSTRY_CLOSE, ET_ENGINE_AVAILABLE, ET_STATION_FIRST_VEHICLE, ET_DISASTER_ZEPPELINER_CRASHED, ET_DISASTER_ZEPPELINER_CLEARED, ET_TOWN_FOUNDED, ET_AIRCRAFT_DEST_TOO_FAR, ET_ADMIN_PORT, ET_WINDOW_WIDGET_CLICK, ET_GOAL_QUESTION_ANSWER, ET_EXCLUSIVE_TRANSPORT_RIGHTS, ET_ROAD_RECONSTRUCTION, ET_VEHICLE_AUTOREPLACED, ET_STORYPAGE_BUTTON_CLICK, ET_STORYPAGE_TILE_SELECT, ET_STORYPAGE_VEHICLE_SELECT }
| The type of event. More...

## Detailed Description

Event StoryPageTileSelect, indicating a player clicked a tile selection button on a storybook page, and selected a tile.

## Constructor & Destructor Documentation

## ◆ GSEventStoryPageVehicleSelect()

GSEventStoryPageVehicleSelect::GSEventStoryPageVehicleSelect | ( | CompanyID | company_id,
|  | StoryPageID | page_id,
|  | StoryPageElementID | element_id,
|  | VehicleID | vehicle_id
| ) |  |

Parameters

  company_id | Which company triggered the event.
  page_id | Which page is the used selection button on.
  element_id | Which button element was used to select the tile.
  vehicle_id | Which vehicle was selected by the player.

## Member Function Documentation

## ◆ Convert()

static GSEventStoryPageVehicleSelect* GSEventStoryPageVehicleSelect::Convert | ( | GSEvent * | instance | ) |
| inlinestatic

Convert an GSEvent to the real instance.

Parameters

  instance | The instance to convert.

Returns
  The converted instance.